Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.request
Class GetBindingDetail

    java.lang.Object
      weblogic.uddi.client.structures.request.Request
          weblogic.uddi.client.structures.request.GetBindingDetail

public class GetBindingDetail
extends Request

The get_bindingDetail message is used to obtain the runtime bindingTemplate information location. To retrieve the information, one or more binding keys are required to match.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`GetBindingDetail()` Class Constructor

Method Summary
`void` | `addBindingKey(String bindingKey)` Add a new BindingKey to the set of Binding Key
`Vector` | `getBindingKeyVector()` Gets the current set of Binding Keys.
`void` | `setBindingKeyVector(Vector keyVector)` Set a new set of Binding Keys

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetBindingDetail

    public GetBindingDetail()

  Class Constructor

Method Detail

### addBindingKey

    public void addBindingKey(String bindingKey)

  Add a new BindingKey to the set of Binding Key

  Parameters:
    `bindingKey` - Value of new BindingKey

### getBindingKeyVector

    public Vector getBindingKeyVector()

  Gets the current set of Binding Keys.

  Returns:
    Current set of Binding Keys

### setBindingKeyVector

    public void setBindingKeyVector(Vector keyVector)

  Set a new set of Binding Keys

  Parameters:
    `keyVector` - Set of Binding Keys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD